/*
 * Copyright 2004-2007 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.fisshplate.consts;

/**
 * 定数を保持するインタフェースです。
 * 
 * @author rokugen
 * 
 */
public interface FPConsts {
	/**
	 * イテレータ要素内で参照する現在行のインデックスの変数名です。「index」になります。
	 */
	final static String DEFAULT_ITERATOR_INDEX_NAME = "index";

	/**
	 * 出力されるシート内の行番号を表す変数名です。「rownum」になります。
	 */
	final static String ROW_NUMBER_NAME = "rownum";

	/**
	 * 出力されるシート内のページ番号を表す変数名です。「pagenum」になります。
	 */
	final static String PAGE_NUMBER_NAME = "pagenum";

	/**
	 * 出力されるページのコンテキスト名です「pageになります」。
	 */
	final static String PAGE_CONTEXT_NAME = "page";

	/**
	 * 埋め込みデータのNULL制御演算子
	 */
	static final String NULL_VALUE_OPERATOR = "!";

	static final String MESSAGE_ID_END_ELEMENT = "EFP00001";

	static final String MESSAGE_ID_LACK_IF = "EFP00002";

	static final String MESSAGE_ID_NOT_ITERATABLE = "EFP00003";

	static final String MESSAGE_ID_EL_EXPRESSION_UNDEFINED = "EFP00004";

	static final String MESSAGE_HEADER_INVALID = "EFP00005";

	static final String MESSAGE_FOOTER_INVALID = "EFP00006";

}
